首页 » 工作中 » Linux » CentOS6.5升级安装4.18内核

CentOS6.5升级安装4.18内核

 

安装Docker时提示内核问题,要求centos(内核版本3.10以上),而CentOS6.x的基本上都是2.6版本的,所以只能升级了。

网上搜了一大堆教程,但没有能顺利升级的,自己摸索了一下,最终还是升级成功了

1.如果源比较新的话,会包含3.10的版本的内核升级包,可以直接yum升级

yum update -y kernel

2.如果没有得话得考虑其他办法,网上的教程基本上都是用的ELRepo源进行安装的

先上张图,这是ELRepo上介绍的引入源

a.引入Key

[root@localhost ~]# rpm --import https://www.elrepo.org/RPM-GPG-KEY-elrepo.org

遇到问题:curl: (35) SSL connect error

解决办法:[root@localhost ~]# yum update nss

b.安装ELRepo

[root@localhost ~]# rpm -Uvh https://www.elrepo.org/elrepo-release-6-8.el6.elrepo.noarch.rpm

问题:网上的教程这个地址有问题,注意区分

c.载入elrepo-kernel元数据

[root@localhost ~]# yum --disablerepo=\* --enablerepo=elrepo-kernel repolist

d.查看可用的rpm包

[root@localhost ~]# yum --disablerepo=\* --enablerepo=elrepo-kernel list kernel*

e.安装最新版本的kernel

[root@localhost ~]# yum --disablerepo=\* --enablerepo=elrepo-kernel install -y kernel-ml.x86_64

f.完成后可以重启,引导菜单可以选最新安装的内核就可以了,一般是第一个位置的。

或者修改引导菜单

[root@localhost ~]# vim /etc/grub.conf

default=1 => default=0

然后重启

 

原文链接:CentOS6.5升级安装4.18内核,转载请注明来源!

0